### Signal

# Ide TransferManager::transfer-failed

#### Declaration

    void
    transfer_failed (
      IdeTransferManager* self,
      IdeTransfer* transfer,
      GError* reason,
      gpointer user_data
    )

#### Description

This signal is emitted when a transfer has failed to complete successfully.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`transfer` | `IdeTransfer`
| An `IdeTransfer`.
| The data is owned by the caller of the function.
`reason` | `GError`
| The reason for the failure.
| The data is owned by the caller of the function.